diff --git a/src/isomedia/isom_read.c b/src/isomedia/isom_read.c
index 06c536d9bd..19ba5ab93c 100644
--- a/src/isomedia/isom_read.c
+++ b/src/isomedia/isom_read.c
@@ -3234,7 +3234,8 @@ GF_Err gf_isom_get_track_layout_info(GF_ISOFile *movie, u32 trackNumber, u32 *wi
 GF_EXPORT
 u64 gf_isom_get_media_data_size(GF_ISOFile *movie, u32 trackNumber)
 {
-	u32 i, size;
+	u32 i;
+	u64 size;
 	GF_SampleSizeBox *stsz;
 	GF_TrackBox *tk = gf_isom_get_track_from_file(movie, trackNumber);
 	if (!tk) return 0;
diff --git a/src/media_tools/text_import.c b/src/media_tools/text_import.c
index 5bae3ec288..bfba2f3bc3 100644
--- a/src/media_tools/text_import.c
+++ b/src/media_tools/text_import.c
@@ -1494,8 +1494,8 @@ GF_Err gf_text_import_swf(GF_MediaImporter *import)
 		gf_import_message(import, GF_OK, "SWF import - text track %d	x %d", cfg->text_width,	cfg->text_height);
 		gf_odf_desc_del((GF_Descriptor *)cfg);
 	} else {
-		u32	w = read->width;
-		u32	h = read->height;
+		u32	w = (u32)read->width;
+		u32	h = (u32)read->height;
 
 		if (!w || !h)
 			gf_text_get_video_size(import, &w, &h);
